rem Clone from base version in repository
rmdir /s/q lexilla
hg clone --updaterev 8527 ssh://nyamatongwe@hg.code.sf.net/p/scintilla/code lexilla
cd lexilla

erase version.txt
rmdir /s/q src
rmdir /s/q cocoa
rmdir /s/q gtk
rmdir /s/q qt
rmdir /s/q win32
move test\unit unittest
rmdir /s/q test
erase /q doc\*
erase /q bin\*.py

erase /q README

erase /q include\ILexer.h
erase /q include\ILoader.h
erase /q include\Platform.h
erase /q include\Sci_Position.h
erase /q include\Scintilla.h
erase /q include\ScintillaWidget.h

erase /q scripts\archive.sh
erase /q scripts\CheckMentioned.py
erase /q scripts\Dependencies.py
erase /q scripts\Face.py
erase /q scripts\FileGenerator.py
erase /q scripts\GenerateCaseConvert.py
erase /q scripts\GenerateCharacterCategory.py
erase /q scripts\HeaderCheck.py
erase /q scripts\HeaderOrder.txt
erase /q scripts\LexGen.py
erase /q scripts\__init__.py

hg addremove
hg commit --message "Erased files not carried over to Lexilla"
move lexilla\src src
move src\README README
move lexilla\scripts\* scripts
move lexilla\test test
move lexilla\version.txt .
move scripts\ScintillaData.py scripts\LexillaData.py
move include\Scintilla.iface include\LexicalStyles.iface
rmdir /s/q lexilla
hg addremove --similarity 99
hg commit --message "Moved Lexilla files to root"

move unittest test\unit
erase /q test\unit\testCellBuffer.cxx
erase /q test\unit\testCharClassify.cxx
erase /q test\unit\testContractionState.cxx
erase /q test\unit\testDecoration.cxx
erase /q test\unit\testPartitioning.cxx
erase /q test\unit\testPerLine.cxx
erase /q test\unit\testRunStyles.cxx
erase /q test\unit\testSparseVector.cxx
erase /q test\unit\testSplitVector.cxx
erase /q test\unit\testUniConversion.cxx
hg addremove --similarity 99
hg commit --message "Moved unit test files to test"

rem Apply patches
hg import ../lexilla_8528.patch
hg import ../lexilla_8529.patch
hg import ../lexilla_8530.patch
hg import ../lexilla_8531.patch
hg import ../lexilla_8532.patch
hg import ../lexilla_8533.patch
hg import ../lexilla_8534.patch
hg import ../lexilla_8535.patch
hg import ../lexilla_8536.patch
hg import ../lexilla_8537.patch
hg import ../lexilla_8538.patch

cd ..

